<?php
/**
 * Pleased Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Pleased Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function pleased_pro_custom_colors_css() {
  	$options= pleased_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	/*--------------------------------------------------------------
	## Background Color
	--------------------------------------------------------------*/
	.main-navigation ul.sub-menu li:hover > a,
	.main-navigation ul.sub-menu li:focus > a,
	.btn-transparent:hover,
	.btn-transparent:focus,
	.btn.btn-default,
	.btn-primary:hover,
	.btn-primary:focus,
	article.project-slider-wrapper:hover .slider-content,
	.slick-prev:hover,
	.slick-next:hover,
	.slick-prev:focus,
	.slick-next:focus,
	input[type="submit"]:hover,
	input[type="submit"]:focus,
	.backtotop,
	article.project-slider-wrapper:hover,
	.single-wrapper #respond input[type="submit"]:hover,
	.single-wrapper #respond input[type="submit"]:focus,
	#gallery .slick-dots li.slick-active button:before,
	#special-menu .slick-dots li.slick-active button:before,
	.seperator,
	#testimonial .slick-dots li.slick-active button:before,
	.sticky-post-wrapper .btn.btn-default,
	span.tags-links a, .single-wrapper .entry-meta span.tags-links a,
	.wp-travel-toolbar .wp-travel-filter-button .btn-wp-travel-filter,
	.wp-travel-archive-content .wp-travel-explore a,
	.archive.tax-itinerary_types .wp-travel-default-article .wp-travel-explore a,
	.archive.tax-travel_locations .wp-travel-archive-content .wp-travel-explore a,
	.wp-travel-archive-content .wp-travel-explore a,
	.single-itineraries .wp-travel.trip-headline-wrapper .wp-travel-booknow-btn,
	.single-itineraries .wp-travel.trip-headline-wrapper .featured-side-image.left-plot .wp-travel-view-gallery a,
	#banner-image,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.pagination .page-numbers.prev:hover,
	.pagination .page-numbers.prev:focus,
	.pagination .page-numbers.next:hover,
	.pagination .page-numbers.next:focus,
	.wp-travel-navigation.wp-paging-navigation a.wp-page-numbers.current,
	.wp-travel-navigation.wp-paging-navigation a.wp-page-numbers:hover {
		background-color: ' . esc_attr( $color_value ) . ';
	}
	.tp-horizontalbar .tp-skills-horizontalbar .inner-fill {
		background-color: ' . esc_attr( $color_value ) . ' !important;
	}
	.sticky-post-wrapper .sticky .entry-container {
		background-color: #eee;
	}
	.pagination .page-numbers, .pagination .page-numbers.dots:hover,
	 .pagination .page-numbers.dots:focus,
	 .pagination .page-numbers.prev,
	 .pagination .page-numbers.next {
	 	background-color: #777;
	 }

	.main-navigation ul ul,
	.main-navigation ul ul ul {
		background-color: #010101;
	}
	/*--------------------------------------------------------------
	## Text Color
	--------------------------------------------------------------*/
	#services .entry-title a:hover,
	.education-wrapper .entry-title a:hover,
	.testimonial-item-wrapper .entry-title a:hover,
	.entry-meta .posted-on a,
	.slick-dots li.slick-active button:before,
	.cat-links a,
	.btn-primary,
	.posts-wrapper article .entry-container .entry-title a:hover,
	.posts-wrapper article .entry-container .entry-title a:focus,
	.byline a:hover,
	#blog .posted-on a:hover,
	.byline a:focus,
	#blog .posted-on a:focus,
	.cat-links,
	.posts-wrapper .posted-on a:hover,
	.posts-wrapper .posted-on a:focus,
	.single-wrapper .posted-on a:hover,
	.single-wrapper .posted-on a:focus,
	ul.address-block li a:hover,
	#colophon .widget-title,
	#colophon .widgettitle,
	#colophon a:hover,
	#colophon a:focus,
	#colophon .site-info a,
	#colophon .site-info a:hover,
	#colophon .site-info a:focus,
	.icon-container .fa:hover,
	#services .entry-title a:hover,
	.education-wrapper .entry-meta span,
	span.cat-links a,
	#blog ul.post-categories li a,
	input[type="submit"],
	#respond input[type="submit"],
	.byline a,
	.blog .post-categories li a,
	.search .post-categories li a,
	.archive .post-categories li a,
	.entry-meta > span:not(:last-child):after,
	#secondary .widget_latest_post ul li a,
	#secondary .widget_latest_post ul li h3 a:hover,
	.single-wrapper span.tags-links a,
	span.edit-link a,
	p.logged-in-as a,
	.trail-items li a:hover,
	.trail-items li a:focus,
	.post-navigation a:hover span,
	.posts-navigation a:hover span,
	#secondary .widget ul li a:hover,
	.single .post-categories li a,
	.section-subtitle,
	.gallery-filtering ul li.active a,
	.grid header.entry-header a:hover,
	.icon-container .fa,
	#testimonial .hentry h2 a,
	#testimonial .slick-dots li.slick-active button:before,
	span.posted-on a time, .time,
	#latest-blog .events h5 a:hover,
	.blog-content .entry-title a:hover,
	#colophon .widget a:hover,
	.archive-blog-wrapper.posts-wrapper article .entry-container .entry-title a:hover,
	.single-wrapper article.hentry span.posted-on a time:hover,
	.single-wrapper .entry-meta a:hover,
	.wp-travel-default-article .wp-travel-entry-content-wrapper .description-left a,
	.wp-travel-toolbar .wp-travel-view-mode-lists li a,
	.wp-travel-itinerary-items .wp-travel-post-item-wrapper .post-title a,
	.wp-travel-itinerary-items .wp-travel-post-item-wrapper .wp-travel-post-content .post-category a,
	span.value a,
	.wp-travel.trip-headline-wrapper .wp-travel-booking-enquiry {
	    color: ' . esc_attr( $color_value ) . ';
	}
	.widget_wp_travel_filter_search_widget #amount {
		color: ' . esc_attr( $color_value ) . ' !important;
	}
	span.cat-links a:hover,
	#blog ul.post-categories li a:hover,
	.blog .post-categories li a:hover,
	.search .post-categories li a:hover,
	.archive .post-categories li a:hover,
	.posts-wrapper .posted-on a:hover,
	.byline a:hover,
	.single-post-wrapper .entry-meta span.byline a:hover,
	span.edit-link a:hover,
	p.logged-in-as a:hover,
	.single .post-categories li a:hover {
		color: #2a2e43;
	}
	.wp-travel-default-article .wp-travel-entry-content-wrapper .description-left a:hover,
	.wp-travel-itinerary-items .wp-travel-post-item-wrapper .post-title a:hover,
	.wp-travel-itinerary-items .wp-travel-post-item-wrapper .wp-travel-post-content .post-category a:hover,
	span.value a:hover,
	.sticky-post-wrapper .entry-content p {
		color: #000;
	}
	.single-wrapper #respond input[type="submit"]:hover,
	.single-wrapper #respond input[type="submit"]:focus,
	span.tags-links a, .single-wrapper .entry-meta span.tags-links a,
	.btn-primary:hover,
	.btn-primary:focus,
	.main-navigation ul#primary-menu ul li:hover > a,
	.main-navigation ul#primary-menu ul ul li:hover > a,
	.site-title a:hover,
	.site-title a:focus,
	.modern-menu .main-navigation ul#primary-menu li.current-menu-item > a,
	.modern-menu .main-navigation ul#primary-menu li:hover > a,
	.modern-menu .main-navigation ul#primary-menu li:focus > a,
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation ul#primary-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg {
		color: #fff;
	}

	/*--------------------------------------------------------------
	## Svg Color
	--------------------------------------------------------------*/
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.icon-container svg:hover,
	.education-wrapper .icon-container svg,
	.rating.active-4 svg:not(:last-child),
	.rating.active-3 svg,
	.rating.active-2 svg,
	.rating.active-2 svg:nth-last-child(-n+3),
	.rating.active-3 svg:nth-last-child(-n+2),
	.rating.active-5 svg,
	.social-icons li a svg:hover,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:hover svg,
	.loader-container svg,
	.icon-container svg  {
		fill: ' . esc_attr( $color_value ) . ';
	}
	.main-navigation ul ul li.menu-item-has-children > a:hover > svg {
		fill:#fff;
	}

	.btn-primary,
	#blog ul.post-categories li a,
	input[type="submit"],
	#respond input[type="submit"],
	.blog .post-categories li a,
	.search .post-categories li a,
	.archive .post-categories li a,
	.single-wrapper span.tags-links a,
	.education-wrapper .icon-container,
	.single .post-categories li a {
	    background-color: rgba(29, 91, 189, 0.1);
	}
	#luxury-room .btn-primary {
		background-color: transparent;
	}
	#luxury-room .btn-primary:hover,
	#luxury-room .btn-primary:focus {
		color: #010101;
	    border-color: #010101 !important;
	}
	.btn.btn-transparent:hover,
	.btn.btn-default,
	.gallery-filtering ul li.active,
	#testimonial .slick-dots li.slick-active button:before,
	.btn-primary,
	.sticky-post-wrapper .btn.btn-default,
	#testimonial .slick-dots li button:before,
	.wp-travel-toolbar .wp-travel-filter-button .btn-wp-travel-filter,
	.wp-travel-archive-content .wp-travel-explore a,
	.single-itineraries .wp-travel.trip-headline-wrapper .wp-travel-booknow-btn  {
		border-color: ' . esc_attr( $color_value ) . ' !important;
	}
	.btn.btn-default:hover,
	.wp-travel-toolbar .wp-travel-filter-button .btn-wp-travel-filter:hover,
	.archive.tax-itinerary_types .wp-travel-default-article .wp-travel-explore a:hover,
	.archive.tax-travel_locations .wp-travel-archive-content .wp-travel-explore a:hover,
	.wp-travel-archive-content .wp-travel-explore a:hover,
	.archive.tax-activity .wp-travel-archive-content .wp-travel-explore a:hover,
	.single-itineraries .wp-travel.trip-headline-wrapper .wp-travel-booknow-btn:hover,
	.archive.post-type-archive-itineraries .wp-travel-explore a:hover {
		background-color: #666;
		border-color: #666 !important;
	}
	.sticky-post-wrapper .btn.btn-default:hover {
		background-color: #000 !important;
	}
	/*--------------------------------------------------------------
	## Border Color
	--------------------------------------------------------------*/
	@media screen and (min-width: 1024px) {
		.modern-menu .main-navigation ul.nav-menu,
		.modern-menu .main-navigation form.search-form input,
		.menu-sticky header#masthead.nav-shrink {
		 	background-color: ' . esc_attr( $color_value ) . ';
		}
		.main-navigation form.search-form {
		    border: 10px solid ' . esc_attr( $color_value ) . ';
		}
		#search:before {
			border-bottom: 9px solid ' . esc_attr( $color_value ) . '; 
		}
		.classic-menu .main-navigation ul ul li:hover {
		    border: 1px solid ' . esc_attr( $color_value ) . ';
		}
		.modern-menu .main-navigation ul#primary-menu ul li:hover > a {
			color: ' . esc_attr( $color_value ) . ';
		}
		.modern-menu .main-navigation ul#primary-menu ul li.current-menu-item > a,
		.modern-menu .main-navigation ul#primary-menu ul li:hover > a,
		.modern-menu .main-navigation ul#primary-menu ul li:focus > a {
			color: #fff;
		}
	}

	@media screen and (max-width: 1024px) {
		.main-navigation ul.nav-menu {
		    background-color: ' . esc_attr( $color_value ) . ';
		    border-top: 1px solid ' . esc_attr( $color_value ) . ';
		}
		.main-navigation form.search-form input {
		  	background-color: ' . esc_attr( $color_value ) . ';
		  	color: #fff;
		}
		.main-navigation ul.sub-menu li:hover > a {
			background-color: ' . esc_attr( $color_value ) . ';
		}
		.main-navigation ul#primary-menu ul.sub-menu li:hover > a {
			color: #fff;
		}
	}


	@keyframes defaultpreloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr( $color_value ) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	}
	';

	/**
	 * Filters Pleased Pro custom colors CSS.
	 *
	 * @since Pleased Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'pleased_pro_custom_colors_css', $css );
}
